Package io.axoniq.dataprotection.api

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.axoniq.dataprotection.api.ConfigurationException

- All Implemented Interfaces:
    `Serializable`

      public final class ConfigurationException
      extends RuntimeException

  Runtime exception which indicates that there is some problem with the configuration. This may have to do with the set up or capabilities of the `CryptoEngine`, or with the placement of the various Axon Data Protection Module annotations on application data classes.

  In most cases, there is no way to recover from this exception without fixing the application code or environment.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationException​(String message)` | Constructs a new configuration exception with the specified detail message.
    `ConfigurationException​(String message, Throwable cause)` | Constructs a new configuration exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException​(String message)

      Constructs a new configuration exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### ConfigurationException

          public ConfigurationException​(String message,
                                        Throwable cause)

      Constructs a new configuration exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this configuration exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)